﻿
@{
    ViewData["Title"] = "EvolutionDesSelections";

    List<string> abscisse = (List<string>)ViewData["Abscisse"];
    List<int> valeurs = (List<int>)ViewData["Valeurs"];
    List<string> Prestation = new List<string>();
    int max = 0;

    for(int i=0; i < abscisse.Count; i++)
    {
        if (valeurs[i] > max)
        {
            max = valeurs[i];
        }
    }

    for(int i=0; i < abscisse.Count; i++)
    {
        if (valeurs[i] == max)
        {
            Prestation.Add(abscisse[i]);
        }
    }
}

<h1>Evolution des sélections</h1>

<div class="row">
    <div class="col-md-8 p-0 col-12 mx-auto mb-3 border rounded" id="columnchart_values"></div>

    <div class="col-md-3 offset-md-1">
        <p class="border rounded p-2 "><b>Nombre de selections : @abscisse.Count</b></p>
        @if (Prestation.Count == 1)
        {
            <p class="border rounded p-2 "><b>La plus demandée : </b>-@Prestation[0]</p>
        }
        @if (Prestation.Count > 0)
        {
            <p class="border rounded p-2 ">
                <b>Les plus demandées sont: </b>
                @foreach (var p in Prestation)
                {
                    @p <br />
                }

            </p>
        }
        @if (Prestation.Count == 0)
        {
            <p class="border rounded p-2 "><b>Aucune sélection n'est prise pour le moment</b></p>
        }


    </div>
</div>


@section Scripts{

    <script type="text/javascript" src="https://www.gstatic.com/charts/loader.js"></script>
    <script type="text/javascript">
    google.charts.load("current", { packages: ['corechart','bar'] });

    google.charts.setOnLoadCallback(drawChart);

    function drawChart() {
        var data = google.visualization.arrayToDataTable([
            ['Programme', 'Occurences'],

                @for(int i=0;i<abscisse.Count;i++)
                {
                    @:["@abscisse[i]", @valeurs[i]],
                }
        ])

        var view = new google.visualization.DataView(data);

      var options = {
        title: "Evolution des selections",
        width: '100%',
        height: 400,
        bar: {groupWidth: "95%"},
        legend: { position: "right" }
      };
      var chart = new google.visualization.ColumnChart(document.getElementById("columnchart_values"));
      chart.draw(view, options);
  }
    </script>
}





